%global qt_module qtlocation
%global __provides_exclude_from ^(%{_qt5_archdatadir}/qml/.*\\.so|%{_qt5_plugindir}/.*\\.so)$
%global majmin %%(echo %{version} | cut -d. -f1-2)
%define _lto_cflags %{nil}

Summary: Qt5 - Location component
Name:    qt5-%{qt_module}
Version: 5.15.11
Release: 4%{?dist}
License: LGPLv2 with exceptions or GPLv3 with exceptions
Url:     http://www.qt.io
Source0: https://download.qt.io/official_releases/qt/%{majmin}/%{version}/submodules/%{qt_module}-everywhere-opensource-src-%{version}.tar.xz

Patch3000: qtlocation-gcc10.patch
Patch3001: qtlocation-fix-build-qtlabs-location-qml-plugin.patch

BuildRequires: make qt5-qtbase-devel qt5-qtbase-private-devel qt5-qtdeclarative-devel pkgconfig(zlib)
BuildRequires: pkgconfig(icu-i18n) pkgconfig(libssl) pkgconfig(libcrypto)
%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}

%description
The Qt Location and Qt Positioning APIs gives developers the ability to determine a position by
using a variety of possible sources, including satellite, or wifi, or text file, and so on.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release} qt5-qtbase-devel
Provides: %{name}-examples = %{version}-%{release}

%description devel
Qt5 - Location component.

%prep
%autosetup -n %{qt_module}-everywhere-src-%{version} -p1

%build
%{qmake_qt5}

%make_build

%install
make install INSTALL_ROOT=%{buildroot}
pushd %{buildroot}%{_qt5_libdir}
for prl_file in libQt5*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
  fi
done
popd

%files
%license LICENSE.GPL* LICENSE.LGPL*
%{_qt5_libdir}/libQt5Location.so.5*
%{_qt5_libdir}/libQt5Positioning.so.5*
%{_qt5_libdir}/libQt5PositioningQuick.so.5*
%{_qt5_archdatadir}/qml/QtLocation/
%{_qt5_libdir}/qt5/qml/Qt/labs/location/*
%{_qt5_plugindir}/geoservices/
%dir %{_qt5_archdatadir}/qml/QtPositioning
%{_qt5_archdatadir}/qml/QtPositioning/*
%{_qt5_plugindir}/position/

%files devel
%{_qt5_headerdir}/QtLocation/
%{_qt5_libdir}/libQt5Location.so
%{_qt5_libdir}/libQt5Positioning.so
%{_qt5_libdir}/libQt5PositioningQuick.so
%{_qt5_libdir}/libQt5Location.prl
%{_qt5_libdir}/libQt5Positioning.prl
%{_qt5_libdir}/libQt5PositioningQuick.prl
%{_qt5_libdir}/pkgconfig/Qt5Location.pc
%{_qt5_headerdir}/QtPositioning/
%{_qt5_headerdir}/QtPositioningQuick/
%dir %{_qt5_libdir}/cmake/Qt5Location
%{_qt5_libdir}/cmake/Qt5Location/Qt5Location*.cmake
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_location*.pri
%{_qt5_libdir}/pkgconfig/Qt5Positioning.pc
%dir %{_qt5_libdir}/cmake/Qt5Positioning
%{_qt5_libdir}/cmake/Qt5Positioning/Qt5Positioning*.cmake
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_positioning*.pri
%{_qt5_libdir}/pkgconfig/Qt5PositioningQuick.pc
%dir %{_qt5_libdir}/cmake/Qt5PositioningQuick/
%{_qt5_libdir}/cmake/Qt5PositioningQuick/Qt5PositioningQuick*.cmake
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_positioning*.pri
%{_qt5_examplesdir}/

%changelog
* Mon Dec 23 2024 Rebuild Robot <rebot@opencloudos.org> - 5.15.11-4
- [Type] other
- [DESC] Rebuilt for icu

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.11-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.11-2
- Rebuilt for loongarch release

* Wed Jan 17 2024 edwardewang <edwardewang@tencent.com> - 5.15.11-1
- Upgrade to 5.15.11

* Thu Sep 21 2023 kianli <kianli@tencent.com> - 5.15.10-1
- Upgrade to 5.15.10

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.9-3
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 rockerzhu <rockerzhu@tencent.com> - 5.15.9-2
- Rebuilt for icu 73.2

* Fri Jul 14 2023 Shuo Wang <abushwang@tencent.com> - 5.15.9-1
- update to 5.15.9

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.7-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 17 2023 Shuo Wang <abushwang@tencent.com> - 5.15.7-1
- initial build
